| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Functions
Ogre::GLSL Namespace Reference
RenderSystems » GL

## Classes
class | GLSLGpuProgram
| GLSL low level compiled shader object - this class is used to get at the linked program object and provide an interface for GLRenderSystem calls. More...
class | GLSLLinkProgram
| C++ encapsulation of GLSL Program Object. More...
class | GLSLLinkProgramManager
class | GLSLProgram
| Specialisation of HighLevelGpuProgram to provide support for OpenGL Shader Language (GLSL). More...
class | GLSLProgramFactory
| Factory class for GLSL programs. More...

## Functions
String | getObjectInfo (GLuint obj)
| just return the info without logging it More...
String | logObjectInfo (const String &msg, GLhandleARB obj)
| if there is a message in GL info log then post it in the Ogre Log More...
void | reportGLSLError (GLenum glErr, const String &ogreMethod, const String &errorTextPrefix, const GLhandleARB obj, const bool forceInfoLog=false, const bool forceException=false)
| Check for GL errors and report them in the Ogre Log. More...

## Function Documentation

## ◆ reportGLSLError()

void Ogre::GLSL::reportGLSLError | ( | GLenum | glErr,
|  | const String & | ogreMethod,
|  | const String & | errorTextPrefix,
|  | const GLhandleARB | obj,
|  | const bool | forceInfoLog = `false`,
|  | const bool | forceException = `false`
| ) |  |

Check for GL errors and report them in the Ogre Log.

## ◆ logObjectInfo()

String Ogre::GLSL::logObjectInfo | ( | const String & | msg,
|  | GLhandleARB | obj
| ) |  |

if there is a message in GL info log then post it in the Ogre Log

Parameters

  msg | the info log message string is appended to this string
  obj | the GL object that is used to retrieve the info log

## ◆ getObjectInfo()

String Ogre::GLSL::getObjectInfo | ( | GLuint | obj | ) |

just return the info without logging it